The IPv4 compliant address of the management module.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.2.3.51.2.22.10.1.1.7
The IPv4 compliant address of the management module.
Identification
{1 3 6 1 4 1 2 3 51 2 22 10 1 1 7}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In BLADE-MIB, the row index remoteChassisIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.2.3.51.2.22.10.1.1.7.<remoteChassisIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.2.3.51.2.22.10.1.1.7
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
mmIp OBJECT-TYPE
SYNTAX OCTET STRING
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The IPv4 compliant address of the management module."
::= { remoteChassisEntry 7}
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The IPv4 compliant address of the management module.
IBM MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: mmIp
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"mmIp",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The IPv4 compliant address of the management module.\"",
"::=",
"{",
"remoteChassisEntry",
"7",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING"
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The IPv4 compliant address of the management module."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: BLADE-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress']}Related source files and packages:
Same file in Observium Community.
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.1 | remoteChassisIndex | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.2 | systemName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.3 | systemStatus | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.4 | mmType | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.5 | mmSerial | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.6 | mmFru | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.8 | chassisSerial | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.9 | chassisFru | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.10 | chassisMachineTypeMode | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.11 | chassisUuid | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.12 | firmwareVersion | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.13 | ipStatus | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.22.10.1.1.14 | ipv6Addresses | 0 | 0 |